compact1, compact2, compact3
javax.security.auth.login

## Class FailedLoginException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.security.GeneralSecurityException
      - - javax.security.auth.login.LoginException
        - - javax.security.auth.login.FailedLoginException

All Implemented Interfaces:
  Serializable

    public class FailedLoginException
    extends LoginException

Signals that user authentication failed.

This exception is thrown by LoginModules if authentication failed. For example, a `LoginModule` throws this exception if the user entered an incorrect password.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`FailedLoginException()` Constructs a FailedLoginException with no detail message.
`FailedLoginException(String msg)` Constructs a FailedLoginException with the specified detail message.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FailedLoginException

    public FailedLoginException()

Constructs a FailedLoginException with no detail message. A detail message is a String that describes this particular exception.

#### FailedLoginException

    public FailedLoginException(String msg)

Constructs a FailedLoginException with the specified detail message. A detail message is a String that describes this particular exception.

Parameters:
  `msg` - the detail message.